# CppStaticLibrary

interface CppStaticLibrary : CppBinary

A C++ static library binary.

#### Since

4.10

## Functions

getBaseName
Link copied to clipboard
abstract fun getBaseName(): String
getCompilationDetails
Link copied to clipboard
abstract fun getCompilationDetails(): CompilationDetails
getLinkageDetails
Link copied to clipboard
abstract fun getLinkageDetails(): LinkageDetails
getName
Link copied to clipboard
abstract fun getName(): String
getVariantName
Link copied to clipboard
abstract fun getVariantName(): String